
QGIS Application - Bug report #15134

Virtual Layer - Selecting multipart features fails

2016-06-25 12:14 PM - R. R.

Status: Closed

Priority: High

Assignee: Hugo Mercier

Category: Data Provider

Affected QGIS version:2.14.3 Regression?: No

Operating System: Windows, GNU/Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 23073

Description

I've created a virtual layer to calculate the building coverage ratio of land parcels. Unfortunately, selecting features with two or more parts

seems not to work properly in QGIS 2.14.3 (see screencast).

Associated revisions

Revision 28942361 - 2016-11-22 11:56 AM - Hugo Mercier

[virtual] disable FilterRect when no unique id is present. Should fix #15134

History

#1 - 2016-06-25 12:15 PM - R. R.

- File 15134.mp4 added

#2 - 2016-06-25 12:19 PM - R. R.

- File 15134.zip added

#3 - 2016-11-21 08:27 AM - gcarrillo -

- Operating System set to Windows, GNU/Linux

- Priority changed from Normal to High

- Assignee set to Hugo Mercier

- Category set to Data Provider

I confirm this problem occurs not only with multi-part features but with single-part features as well.

See http://gis.stackexchange.com/a/218328/4972 for a reproducible example with single points (airports) with Natural Earth Shapefiles as Virtual Layer's

source.

I've tested this on QGIS v2.14.8 (GNU/Linux), QGIS 2.16.3 (Windows 7), and a recent (from October, 2016) QGIS build v2.99 (GNU/Linux).

Sorry for setting priority to high, it's just that, in my opinion, this issue might make Virtual Layers unusable in a production environment.

#4 - 2016-11-21 10:27 AM - R. R.

- File 15134_new.mp4 added

Hi gcarrillo,
selecting features seems to work properly after setting the unique identifier column (see 15134_new.mp4). Should I close this ticket?

#5 - 2016-11-22 01:39 AM - Regis Haubourg

Confirmed here too with even nastier behaviour following that you use the select at id option, or that you cast geometry column to MultiPolygon. 

Something is messing with feature id's somewhere. 

Attribute table shows ERROR values for the multipolygon object.

#6 - 2016-11-22 03:04 AM - Hugo Mercier

Hi, thanks for your feedback.

Work in progress : https://github.com/qgis/QGIS/pull/3794

#7 - 2016-11-22 04:55 AM - Hugo Mercier

- Status changed from Open to Closed

Fixed in changeset commit:"289423617f035108ecaa11a812546681b7a773af".

#8 - 2016-12-07 03:00 PM - R. R.

Thx! Is this issue related to #15600?

Files

15134.mp4 1.34 MB 2016-06-25 R. R.

15134.zip 9.24 KB 2016-06-25 R. R.

15134_new.mp4 2.1 MB 2016-11-21 R. R.
